Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231661 - intel modesetting driver produces "melting screen" effect on laptop LVDS
Summary: intel modesetting driver produces "melting screen" effect on laptop LVDS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 21:08 UTC by Joe Ammond
Modified: 2018-04-11 09:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 21:18:55 UTC


Attachments (Terms of Use)
Xorg.0.log from the 'intel' driver (deleted)
2007-03-09 21:09 UTC, Joe Ammond
no flags Details
Xorg.0.log from the 'i810' driver (deleted)
2007-03-09 21:11 UTC, Joe Ammond
no flags Details
xorg.conf (deleted)
2007-03-09 21:12 UTC, Joe Ammond
no flags Details
"screenshot" of the problem (deleted)
2007-03-14 14:19 UTC, Joe Ammond
no flags Details
A patch to i830_display.c (deleted)
2007-03-23 22:01 UTC, Joe Ammond
no flags Details
log from a working driver (deleted)
2007-03-23 22:02 UTC, Joe Ammond
no flags Details
Working Xorg.0.log (deleted)
2007-03-31 19:49 UTC, Joe Ammond
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 9076 None None None Never

Description Joe Ammond 2007-03-09 21:08:19 UTC
Description of problem:
The intel modesetting driver doesn't work on my HP NC6320. When I switch to the
intel driver and restart X, the LVDS takes on a greenish-melting effect that I
can't adequately describe. The external HP 1730 flat panel comes up in the
correct resolution. No amount of 'xrandr' will get the LVDS to display properly.
I'll snap a picture of the display tonight with my digital camera and attach.

Hardware config is:
HP NC6320
T7400 Core2 Duo CPU
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS/940GML
Express Integrated Graphics Controller (rev 03)



Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-13.fc7.i386



How reproducible:
Every time.

Steps to Reproduce:
1. Install FC6T2 on an NC6320
2. Change "i810" to "intel" in /etc/X11/xorg.conf, restart X
3.
  
Actual results:
"Melting" screen effect.

Expected results:
Working X display.

Additional info:

Comment 1 Joe Ammond 2007-03-09 21:09:34 UTC
Created attachment 149736 [details]
Xorg.0.log from the 'intel' driver

Log from the 'intel' driver.

Comment 2 Joe Ammond 2007-03-09 21:11:54 UTC
Created attachment 149737 [details]
Xorg.0.log from the 'i810' driver

Xorg.0.log from the 'i810' driver. I do have to use '915resolution' to get X to
display at 1400x1050 (I know, it's an evil hack).

Comment 3 Joe Ammond 2007-03-09 21:12:18 UTC
Created attachment 149738 [details]
xorg.conf

Comment 4 Joe Ammond 2007-03-09 21:13:16 UTC
One comment I forgot to add: to get the panel's native resolution (1400x1050), I
have to use the evil 915resolution hack. I did disable it when I tried the intel
driver, tho.

Comment 5 Joe Ammond 2007-03-14 14:19:42 UTC
Created attachment 150037 [details]
"screenshot" of the problem

A picture of the screen from my digital camera. I apologise for taking so long
to get it.

Comment 6 Joe Ammond 2007-03-23 21:59:35 UTC
I've done some investigation on this bug. I pulled the xorg sources from git and
did a complete build. The latest driver from git works better than the current
one in rawhide, but doesn't work completely. With the following patch it works
perfectly on this hardware.


Comment 7 Joe Ammond 2007-03-23 22:01:10 UTC
Created attachment 150801 [details]
A patch to i830_display.c

Found this patch in various places, specifically
https://bugs.freedesktop.org/show_bug.cgi?id=9076

Comment 8 Joe Ammond 2007-03-23 22:02:01 UTC
Created attachment 150802 [details]
log from a working driver

Comment 9 Joe Ammond 2007-03-31 19:48:08 UTC
The latest version of xorg-x11-drv-i810 works on my laptop now.

xorg-x11-drv-i810-1.6.5-16.fc7.i386
xorg-x11-server-Xorg-1.2.99.903-2.fc7.i386

This bug can be closed.

Comment 10 Joe Ammond 2007-03-31 19:49:45 UTC
Created attachment 151363 [details]
Working Xorg.0.log

Comment 11 Adam Jackson 2007-04-02 21:18:55 UTC
Marking resolved as per comment #9


Note You need to log in before you can comment on or make changes to this bug.